Bug 613278 - [abrt] crash in openoffice.org-impress-1:3.2.0-12.25.fc13: ScannerManager::release (SIGABRT) double-free
Summary: [abrt] crash in openoffice.org-impress-1:3.2.0-12.25.fc13: ScannerManager::re...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:328b4f3faa749acfd87d4fdbc2d...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-10 12:07 UTC by FC_rules
Modified: 2010-08-13 21:24 UTC (History)
1 user (show)

Fixed In Version: openoffice.org-3.2.0-12.29.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 21:24:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.43 KB, text/plain)
2010-07-10 12:07 UTC, FC_rules
no flags Details
like so (493 bytes, patch)
2010-07-12 15:09 UTC, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 99835 None None None Never
OpenOffice.org 113117 None None None Never

Description FC_rules 2010-07-10 12:07:10 UTC
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/openoffice.org3/program/simpress.bin -impress
comment: I was making a presentation, using also pictures. While I was copying an image from one slide to another, OO crashed.
component: openoffice.org
crash_function: raise
executable: /usr/lib/openoffice.org3/program/simpress.bin
global_uuid: 328b4f3faa749acfd87d4fdbc2d0bd8860ce33e0
kernel: 2.6.33.5-124.fc13.i686.PAE
package: openoffice.org-impress-1:3.2.0-12.25.fc13
rating: 4
reason: Process /usr/lib/openoffice.org3/program/simpress.bin was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Make a presentation, with words, pictures.
2. Copy a picture from one slide to another.

Comment 1 FC_rules 2010-07-10 12:07:13 UTC
Created attachment 430868 [details]
File: backtrace

Comment 2 Caolan McNamara 2010-07-10 17:49:35 UTC
Clearly OOo doesn't crash on copying a picture from one slide to another for everyone, and according to the stack there's something scanner related here (strangely).

Did you use OOos scanner functionality during the session where it crashed ? I'd like to be able to reproduce this to be sure of the correct fix)

(I have to say, I think the scanner shutdown stuff look very dubious, if ScannerManager::DestroyData is called then the length of SaneHolderList remains the same, but its contents is deleted, among other problems)

Comment 3 FC_rules 2010-07-10 17:56:07 UTC
No, I did not use the scanner functionality. I was only making the presentation and it crashed.

Comment 4 Caolan McNamara 2010-07-10 18:29:39 UTC
Odd, well there's more than enough problems visible there with the naked eye that could account for it, so I'll fix those ones anyway.

Comment 5 Caolan McNamara 2010-07-12 15:09:05 UTC
Created attachment 431197 [details]
like so

Comment 6 Caolan McNamara 2010-07-12 15:10:18 UTC
#5 is for a different issue, attached it to the wrong issue.

Comment 7 Caolan McNamara 2010-07-13 09:37:38 UTC
fix submitted upstream, and checked in, will be in >= 3.2.0-12.27

Comment 8 Fedora Update System 2010-08-04 14:43:59 UTC
openoffice.org-3.2.0-12.27.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.27.fc13

Comment 9 Fedora Update System 2010-08-05 23:41:29 UTC
openoffice.org-3.2.0-12.27.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.27.fc13

Comment 10 Fedora Update System 2010-08-09 13:19:10 UTC
openoffice.org-3.2.0-12.29.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.29.fc13

Comment 11 Fedora Update System 2010-08-10 21:44:52 UTC
openoffice.org-3.2.0-12.29.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.29.fc13

Comment 12 Fedora Update System 2010-08-13 21:24:03 UTC
openoffice.org-3.2.0-12.29.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.